## ctioga2 0.2

=== Makefile ===
# Small makefile to handle very small details of installation...

RUBY = ruby

# --diagram is way too painful.
RDOC_OPTIONS = --exclude setup.rb -m CTioga2::PlotMaker

doc:
# to avoid partial regeneration of the documentation
	rm -rf doc		
	rdoc $(RDOC_OPTIONS)


man:
	version=`rch --print-version || echo Unkown`; cd man; ctioga2 --write-man "$$version" ctioga2.1.template > ctioga2.1

config-home:
	$(RUBY) setup.rb config --prefix=$(HOME) --siteruby=$(HOME)/lib/ruby --siterubyver=$(HOME)/lib/ruby

config:
	$(RUBY) setup.rb config

install:
	@ [ -r .config ] || (echo "Run make config or make config-home before running make install" ; false)
	$(RUBY) setup.rb install

# I'm annoyed at having to set the svn:keywords properties on
# every single file around.
propset:
	find lib -name '*.rb' \( \! -name 'utils.rb' \) | \
	xargs svn propset svn:keywords 'Date Revision'

# Get rid of emacs backup files
clean:
	find -name '*~' -print0 | xargs -0  rm


.PHONY: doc man install

=== debian/changelog ===
ctioga2 (0.2-4) unstable; urgency=low

  * Force a rebuild with newer gem2deb
  * Now conforms to standards 3.9.3

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 24 Jun 2012 01:55:38 +0200

ctioga2 (0.2-3) unstable; urgency=low

  * Do not forget the Ruby-Versions field in the binary packages
  * Update the (Build)?-Depend to the newer ruby-tioga package
  * fix-ugly-coding.diff: fix the ugly coding: undecided emacs-induced
    stuff that actually prevent ctioga2 from running with ruby1.9.1
    (though it still doesn't, funnily enough...)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 07 Jun 2011 21:17:02 +0200

ctioga2 (0.2-2) unstable; urgency=low

  * Switch to gem2deb
  * Switch to dh 7 sequencer
  * Now ready for the Ruby transition. No package rename is needed in this
    case.

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 18 Apr 2011 21:21:24 +0200

ctioga2 (0.2-1) unstable; urgency=low

  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 02 Apr 2011 14:04:36 +0200

ctioga2 (0.1-1) unstable; urgency=low

  * Initial debian packaging (closes: 611852)
  
 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Jan 2011 21:36:06 +0100

=== debian/control ===
Source: ctioga2
Section: graphics
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), 
               ruby1.8-dev, ruby1.8, 
               ruby1.9.1-dev, ruby1.9.1, 
	       ruby-tioga, cdbs
Standards-Version: 3.9.3
Homepage: http://ctioga2.rubyforge.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/ctioga2/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/ctioga2/
XS-Ruby-Versions: all

Package: ctioga2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-tioga (>= 1.13), ruby | ruby-interpreter, ${misc:Depends}
Description: polymorphic plotting program
 ctioga2 is a plotting program in the spirit of gnuplot. It can be
 used either directly on command-line or writing command files (or a
 mix of both). It produces publication-quality PDF files. It is based
 on the Tioga plotting library.
 .
 ctioga2 is a full rewrite of ctioga and is meant to replace it
 completely in a not-so-distant future.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://rubyforge.org/frs/?group_id=8218 .*ctioga2-([\d.-]*)\.t.*

## ctioga2 0.4

=== debian/changelog ===
ctioga2 (0.4-2) unstable; urgency=low

  * Upload to unstable
  * Already conforms to newer standards

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 08 Jul 2013 20:58:17 +0200

ctioga2 (0.4-1) experimental; urgency=low

  * New upstream release (well, getting old, now, if truth be told...)
  * Drop fix-ugly-coding.diff, incorporated upstream
  * Tighten dependency on ruby-tioga

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 13 Mar 2013 20:56:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                ruby1.8-dev, ruby1.8, 
                ruby1.9.1-dev, ruby1.9.1, 
 	       ruby-tioga, cdbs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ctioga2.rubyforge.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/ctioga2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/ctioga2/
@@ -16,7 +16,7 @@
 Package: ctioga2
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby-tioga (>= 1.13), ruby | ruby-interpreter, ${misc:Depends}
+Depends: ruby-tioga (>= 1.14), ruby | ruby-interpreter, ${misc:Depends}
 Description: polymorphic plotting program
  ctioga2 is a plotting program in the spirit of gnuplot. It can be
  used either directly on command-line or writing command files (or a

## ctioga2 0.5

=== debian/changelog ===
ctioga2 (0.5-1) unstable; urgency=low

  * New upstream version

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 26 Aug 2013 23:57:06 +0200

## ctioga2 0.7

=== debian/changelog ===
ctioga2 (0.7-1) unstable; urgency=low

  * New upstream version

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 07 Nov 2013 23:00:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), 
                ruby1.8-dev, ruby1.8, 
                ruby1.9.1-dev, ruby1.9.1, 
-	       ruby-tioga, cdbs
+	       ruby-tioga (>= 1.16), cdbs
 Standards-Version: 3.9.4
 Homepage: http://ctioga2.rubyforge.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/ctioga2/

## ctioga2 0.8

=== debian/changelog ===
ctioga2 (0.8-2) unstable; urgency=low

  * Drop explicit build deps on versioned ruby packages (closes: #735650)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 30 Jan 2014 22:26:33 +0100

ctioga2 (0.8-1) unstable; urgency=low

  * New upstream release
  * Updated URLs and debian/watch to follow its new location
  * Already conforms to standards 3.9.5
  * Finally updated VCS URLS

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 27 Dec 2013 21:04:22 +0100

=== debian/control ===
Source: ctioga2
Section: graphics
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), 
	       ruby-tioga (>= 1.17), cdbs
Standards-Version: 3.9.5
Homepage: http://ctioga2.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-ruby-extras/ctioga2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ctioga2.git;a=summary
XS-Ruby-Versions: all

Package: ctioga2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-tioga (>= 1.17), ruby | ruby-interpreter, ${misc:Depends}
Description: polymorphic plotting program
 ctioga2 is a plotting program in the spirit of gnuplot. It can be
 used either directly on command-line or writing command files (or a
 mix of both). It produces publication-quality PDF files. It is based
 on the Tioga plotting library.
 .
 ctioga2 is a full rewrite of ctioga and is meant to replace it
 completely in a not-so-distant future.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk

%:
	dh $@ --with ruby  --buildsystem ruby

override_dh_auto_build:
	dh_auto_build
	cd man; RUBYLIB=$(RUBYLIB):../lib ruby ../bin/ctioga2 --write-man "$(DEB_UPSTREAM_VERSION)" ctioga2.1.template > ctioga2.1

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 # Compulsory line, this is a version 3 file
 version=3
-http://rubyforge.org/frs/?group_id=8218 .*ctioga2-([\d.-]*)\.t.*
+http://sf.net/ctioga2/ctioga2-(.+)\.tar\.bz2

## ctioga2 0.10

=== debian/changelog ===
ctioga2 (0.10-1) unstable; urgency=low

  * New upstream release (yeah, I should package intermediate versions)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 17 Mar 2014 22:29:58 +0100

## ctioga2 0.11

=== debian/changelog ===
ctioga2 (0.11-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 06 Jan 2015 21:21:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: ctioga2
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby-tioga (>= 1.17), ruby | ruby-interpreter, ${misc:Depends}
+Depends: ruby-tioga (>= 1.18), ruby | ruby-interpreter, ${misc:Depends}
 Description: polymorphic plotting program
  ctioga2 is a plotting program in the spirit of gnuplot. It can be
  used either directly on command-line or writing command files (or a

## ctioga2 0.13.1

=== debian/changelog ===
ctioga2 (0.13.1-1) unstable; urgency=low

  * New upstream release
  * Already conforms to newer standards
  * Tighten dependency on ruby-tioga

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 14 Sep 2015 22:04:42 +0200

## ctioga2 0.14

=== debian/changelog ===
ctioga2 (0.14-1) unstable; urgency=low

  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 18 Feb 2016 21:57:31 +0100

## ctioga2 0.14.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # --diagram is way too painful.
 RDOC_OPTIONS = --exclude setup.rb -m CTioga2::PlotMaker
+
+install:
+	@ [ -r .config ] || (echo "Run make config or make config-home before running make install" ; false)
+	$(RUBY) setup.rb install
 
 doc:
 # to avoid partial regeneration of the documentation
@@ -20,9 +24,6 @@
 config:
 	$(RUBY) setup.rb config
 
-install:
-	@ [ -r .config ] || (echo "Run make config or make config-home before running make install" ; false)
-	$(RUBY) setup.rb install
 
 # I'm annoyed at having to set the svn:keywords properties on
 # every single file around.

=== debian/changelog ===
ctioga2 (0.14.1-2) unstable; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

  [ Jeremy Bicha ]
  * Build-Depend on dpkg-dev instead of cdbs

  [ Antonio Terceiro ]
  * Bump debhelper compatibility level to 11
  * debian/watch: drop useless comments
  * debian/rules: check dependencies during build
  * bump dependency on ruby-tioga
  * bump Standards-Versino: to 4.1.4; no changes needed
  * debian/control: add Testsuite: field
  * Vcs-*: point to salsa.debian.org

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 15 Apr 2018 18:10:15 -0300

ctioga2 (0.14.1-1) unstable; urgency=low

  * New upstream release fixing problems with ruby 2.3

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 29 Mar 2016 23:26:17 +0200

=== debian/control ===
Source: ctioga2
Section: graphics
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-tioga (>= 1.19)
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/ruby-team/ctioga2.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ctioga2
Homepage: http://ctioga2.sourceforge.net
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ctioga2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-tioga (>= 1.19),
         ${misc:Depends}
Description: polymorphic plotting program
 ctioga2 is a plotting program in the spirit of gnuplot. It can be
 used either directly on command-line or writing command files (or a
 mix of both). It produces publication-quality PDF files. It is based
 on the Tioga plotting library.
 .
 ctioga2 is a full rewrite of ctioga and is meant to replace it
 completely in a not-so-distant future.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --with ruby  --buildsystem ruby

override_dh_auto_build:
	dh_auto_build
	cd man; RUBYLIB=$(RUBYLIB):../lib ruby ../bin/ctioga2 --write-man "$(DEB_VERSION_UPSTREAM)" ctioga2.1.template > ctioga2.1

=== debian/watch ===
version=3
http://sf.net/ctioga2/ctioga2-(.+)\.tar\.bz2
